﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BeginAcceptTest001.Server
{
    class Server
    {
        private const string ipv4Addr = "192.168.1.3";
        private const string ipv6Addr = "fe80::[インターフェースID]";
        private const int port = 2001;

        static void Main(string[] args)
        {
            try
            {
                var serverService = new ServerService()
                {
                    Ipv4Addr = ipv4Addr,
                    Ipv6Addr = ipv6Addr,
                    Port = port,
                    Encoding = System.Text.Encoding.UTF8
                };

                serverService.StartService();

                Console.WriteLine("Enter キー押下で Listen を終了します。");
                Console.ReadLine();

                serverService.StopService();
            }
            catch (ServerServiceException e)
            {
                Console.WriteLine(e.Message);
            }

            Console.WriteLine("Enter キー押下で終了します。");
            Console.ReadLine();
        }
    }
}
